If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Cannot upload new extension version

RESOLVED FIXED

Status

addons.mozilla.org Graveyard
Developer Pages
--
major
RESOLVED FIXED
7 years ago
2 years ago

People

(Reporter: realRaven, Unassigned)

Tracking

Details

(URL)

Attachments

(4 attachments)

(Reporter)

Description

7 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.13) Gecko/20101203 Firefox/3.6.13
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.13) Gecko/20101203 Firefox/3.6.13

Trying to upload a new version from dev center - after about 7 seconds I am getting the error "We were unable to connect to the Server". No progress bar is moving.

This seems to be caused by the latest upgrade.

Reproducible: Always

Steps to Reproduce:
1.Go to Developer Center
2.Click Manage Status + Versions
3.click Upload  new Version
4. select the new xpi file

Actual Results:  
I am getting the error described above, after about 6 to 7 secs.

Preparing QuickFolders-tb-pb-em-2.4.xpi
0% complete - 0kb of 222.58 kb
"We were unable to connect to the Server"

Expected Results:  
the progress bar should move from 0% to 100% and then the extension should be validated - please fix as I have scheduled a new release of my extension and I can not upload it!!!
(Reporter)

Comment 1

7 years ago
Created attachment 508262 [details]
screen shot of the problem
(Reporter)

Comment 2

7 years ago
In case this is service related - I just did a speedtest afterwards here are the results:

http://www.speedtest.net/result/1134842534.png

4.21 Mb download
0.48 Mb upload
Ping 148 ms

which is actually very good for my (mobile) broadband connection

Updated

7 years ago
Component: Developer Tools → Developer Pages
Product: Firefox → addons.mozilla.org

Comment 3

7 years ago
Hi Axel,

The next time this happens, hop on to irc://moznet/ and check in either #addons or #amo to see if this is a known problem.
(Reporter)

Comment 4

7 years ago
Thanks Phil, can do.

Was there one?
(Reporter)

Comment 5

7 years ago
The problem persisted today, same with starting Firefox (3.6.13) in safe mode. Also tried IE8 which did not work at all (does not even display the ajax panel and looks broken).

Finally I managed to upload the file with google chrome (and it was very quick as well), which worked on first attempt - so that is the current workaround.

Comment 6

7 years ago
Hmm. In your cookie settings do you allow cookies from third party sites?
(Reporter)

Comment 7

7 years ago
(In reply to comment #6)
> Hmm. In your cookie settings do you allow cookies from third party sites?

Yes I do. Do you think its an jQuery-Ajax-XSS issue? They're hard to track. There is nothing suspicious in the Javascript error console either.
QA Contact: developer.tools → developers
(In reply to comment #0)
> User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.13)
> Gecko/20101203 Firefox/3.6.13
> 
> "We were unable to connect to the Server"

I've only seen this error from people on Fx 3.5 so far, so I suspect it's some kind of js error. Can you use something like Live Headers[1] to show the network requests after you hit the upload button?

[1]: https://addons.mozilla.org/en-US/firefox/addon/live-http-headers/
Also, Axel -- mind attaching the new version here, so we can try to reproduce it?  Thanks!
Summary: Can not upload new extension version → Cannot upload new extension version
(Reporter)

Comment 10

7 years ago
Created attachment 510149 [details]
Latest version of QuickPAsswords (same bug)

Can you upload that for me? Same Bug. The new upload dialog does simply not work for me.
(Reporter)

Comment 11

7 years ago
(In reply to comment #9)
> Also, Axel -- mind attaching the new version here, so we can try to reproduce
> it?  Thanks!

https://static.addons.mozilla.net/media/img/zamboni/loading-white.gif

GET /media/img/zamboni/loading-white.gif HTTP/1.1
Host: static.addons.mozilla.net
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.13) Gecko/20101203 Firefox/3.6.13
Accept: image/png,image/*;q=0.8,*/*;q=0.5
Accept-Language: en-US,en;q=0.9,de-DE;q=0.9,de;q=0.8,zh-CN;q=0.7,zh;q=0.7,ru-RU;q=0.6,ru;q=0.5,nl-NL;q=0.5,nl;q=0.4,fr-FR;q=0.3,fr;q=0.3,pt-PT;q=0.2,pt;q=0.1,en-us;q=0.1
Accept-Encoding: gzip,deflate
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Keep-Alive: 115
Connection: keep-alive

HTTP/1.1 200 OK
Server: Apache
X-Backend-Server: pm-app-amo26
Cache-Control: max-age=315360000
Content-Type: image/gif
Date: Sun, 06 Feb 2011 20:23:19 GMT
Keep-Alive: timeout=5, max=993
Expires: Wed, 03 Feb 2021 20:23:19 GMT
Accept-Ranges: bytes
Etag: "739"
Last-Modified: Fri, 21 Jan 2011 00:49:10 GMT
Content-Length: 1849
Connection: Keep-Alive
X-Cache-Info: cached
----------------------------------------------------------
https://addons.mozilla.org/en-US/developers/upload?_=1297024287149

POST /en-US/developers/upload?_=1297024287149 HTTP/1.1
Host: addons.mozilla.org
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.13) Gecko/20101203 Firefox/3.6.13
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Accept-Language: en-US,en;q=0.9,de-DE;q=0.9,de;q=0.8,zh-CN;q=0.7,zh;q=0.7,ru-RU;q=0.6,ru;q=0.5,nl-NL;q=0.5,nl;q=0.4,fr-FR;q=0.3,fr;q=0.3,pt-PT;q=0.2,pt;q=0.1,en-us;q=0.1
Accept-Encoding: gzip,deflate
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Keep-Alive: 115
Connection: keep-alive
Content-Type: multipart/form-data;boundary=z12970242871492798677
Content-Length: 60160
Cookie: __utmv=164683759.Loggedin; SSID_AMO=AwA_LCkAAAAAAV1yTMW2CgIBXXJMAgA_nHJMAAAAAAAAAAA_nHJMAQApAAAArwAAAAI; SSRT=P5xyTAE; wtspl=351122; WT_FPC=id=2f656e95edfb64923ba1296483638152:lv=1296995429539:ss=1296995106375; AMOv3=nnkr9l3sjf9k61vts1kkc7o1q6; csrftoken=b49a5194ed01271695a47d941853bdd3; sessionid=70eb248b5b74bf50468adb13778c81b0; amo_home_promo_seen=2
Pragma: no-cache
Cache-Control: no-cache
--z12970242871492798677
Content-Disposition: form-data; name="csrfmiddlewaretoken";

b49a5194ed01271695a47d941853bdd3
--z12970242871492798677
Content-Disposition: form-data; name="upload"; filename="QuickPasswords_1.4.xpi";
Content-Type: application/x-xpinstall

PK
HTTP/1.1 403 FORBIDDEN
Server: Apache
Vary: X-Mobile, Accept-Encoding
X-Backend-Server: pm-app-amo12
Cache-Control: no-cache
Content-Type: text/html; charset=UTF-8
X-amo-darklaunch: z
Content-Encoding: gzip
Date: Sun, 06 Feb 2011 20:31:53 GMT
Keep-Alive: timeout=5, max=1000
Transfer-Encoding: chunked
X-Content-Security-Policy-Report-Only: policy-uri /services/csp/policy
Via: Moz-Cache-ams-zlb01
Connection: Keep-Alive
Set-Cookie: multidb_pin_writes=y; expires=Sun, 06-Feb-2011 20:32:08 GMT; Max-Age=15; Path=/
X-Frame-Options: DENY
----------------------------------------------------------
https://static.addons.mozilla.net/media/img/zamboni/icons/checks.png

GET /media/img/zamboni/icons/checks.png HTTP/1.1
Host: static.addons.mozilla.net
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.13) Gecko/20101203 Firefox/3.6.13
Accept: image/png,image/*;q=0.8,*/*;q=0.5
Accept-Language: en-US,en;q=0.9,de-DE;q=0.9,de;q=0.8,zh-CN;q=0.7,zh;q=0.7,ru-RU;q=0.6,ru;q=0.5,nl-NL;q=0.5,nl;q=0.4,fr-FR;q=0.3,fr;q=0.3,pt-PT;q=0.2,pt;q=0.1,en-us;q=0.1
Accept-Encoding: gzip,deflate
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Keep-Alive: 115
Connection: keep-alive

HTTP/1.1 200 OK
Server: Apache
X-Backend-Server: pm-app-amo21
Cache-Control: max-age=315360000
Content-Type: image/png
Date: Sun, 06 Feb 2011 18:18:32 GMT
Keep-Alive: timeout=5, max=992
Expires: Wed, 03 Feb 2021 18:18:32 GMT
Accept-Ranges: bytes
Etag: "17b"
Last-Modified: Fri, 21 Jan 2011 00:49:06 GMT
Content-Length: 379
Connection: Keep-Alive
X-Cache-Info: cached

Comment 12

7 years ago
Server configuration problem??

> PK
> HTTP/1.1 403 FORBIDDEN
> Server: Apache
> Vary: X-Mobile, Accept-Encoding
> X-Backend-Server: pm-app-amo12
> Cache-Control: no-cache
> Content-Type: text/html; charset=UTF-8
> X-amo-darklaunch: z
> Content-Encoding: gzip
> Date: Sun, 06 Feb 2011 20:31:53 GMT
> Keep-Alive: timeout=5, max=1000
> Transfer-Encoding: chunked
> X-Content-Security-Policy-Report-Only: policy-uri /services/csp/policy
> Via: Moz-Cache-ams-zlb01
> Connection: Keep-Alive
> Set-Cookie: multidb_pin_writes=y; expires=Sun, 06-Feb-2011 20:32:08 GMT;
> Max-Age=15; Path=/
> X-Frame-Options: DENY
(Reporter)

Comment 13

7 years ago
(In reply to comment #12)
> Server configuration problem??
> 
Sorry, but I do not know how to interpret the headers, I just pasted them. If there is anything else I can contribute, please tell me. (that I can upload with chrome seems to point to a User Agent issue? Or maybe a bug in jQuery...)

In the meantime I will try to use SeaMonkey for upload...

thanks
  Axel
(Reporter)

Comment 14

7 years ago
Created attachment 510230 [details]
Upload with SeaMonkey (1 of 2)
(Reporter)

Comment 15

7 years ago
Created attachment 510231 [details]
Upload with SeaMonkey (2 of 2)

Uploading with SeaMonkey, also no problem (as with chrome)
I did notice the NaN undefined of Nan undefined in the legend underneath the progress bar, though. Maybe there is a clue here?
(In reply to comment #1)
> HTTP/1.1 403 FORBIDDEN

Is your network.http.sendRefererHeader in about:confg set to 0?
(Reporter)

Comment 17

7 years ago
just checked, it is set to 1! (Which is not the default)

It is marked as "user set" but I don't recall changing it. Are there (m)any extensions which are likely to change this?
A lot of privacy extensions change that, and we don't allow POSTs without referrers.  There is already a bug to fix the messaging of this specific case.  Thanks.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
(Assignee)

Updated

2 years ago
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.